# Generated by Django 5.0.4 on 2024-05-10 08:49

from django.db import migrations

from shared.blocks import NavbarMenuItemBlock


def add_navbar_menu_items(apps, schema_editor):
    DistrictHomePage = apps.get_model("district", "DistrictHomePage")

    for home_page in DistrictHomePage.objects.all():
        if home_page.contact_newcomers:
            home_page.menu_button_content.append(
                (
                    "navbar_menu_item",
                    NavbarMenuItemBlock().to_python(
                        {
                            "button_link": home_page.contact_newcomers,
                            "button_text": "Připoj se",
                        }
                    ),
                )
            )

        if home_page.donation_page:
            home_page.menu_button_content.append(
                (
                    "navbar_menu_item",
                    NavbarMenuItemBlock().to_python(
                        {
                            "button_link": home_page.donation_page,
                            "button_text": "Daruj",
                        }
                    ),
                )
            )

        if home_page.show_eshop_link:
            home_page.menu_button_content.append(
                (
                    "navbar_menu_item",
                    NavbarMenuItemBlock().to_python(
                        {
                            "button_link": "https://www.piratskyobchod.cz/",
                            "button_text": "E-shop",
                        }
                    ),
                )
            )

        home_page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0147_remove_districthomepage_contact_email_and_more"),
    ]

    operations = [migrations.RunPython(add_navbar_menu_items)]
