# Generated by Django 5.0.4 on 2024-05-27 17:12

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0205_auto_20240527_1822"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtcenterpage",
            name="sidebar_content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "map",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "lat",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 50.04075",
                                        label="Zeměpisná šířka",
                                    ),
                                ),
                                (
                                    "lon",
                                    wagtail.blocks.DecimalBlock(
                                        help_text="Např. 15.77659",
                                        label="Zeměpisná délka",
                                    ),
                                ),
                                (
                                    "hex_color",
                                    wagtail.blocks.CharBlock(
                                        default="000000",
                                        help_text="Zadejte barvu pomocí HEX notace (bez # na začátku).",
                                        label="Barva špendlíku (HEX)",
                                    ),
                                ),
                                (
                                    "zoom",
                                    wagtail.blocks.IntegerBlock(
                                        default=15,
                                        label="Výchozí zoom",
                                        max_value=18,
                                        min_value=1,
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("osm-mapnik", "OSM Mapnik"),
                                            ("stadia-osm-bright", "Stadia OSM Bright"),
                                            ("stadia-outdoors", "Stadia Outdoors"),
                                            ("mapbox-streets", "Mapbox Streets"),
                                            ("mapbox-outdoors", "Mapbox Outdoors"),
                                            ("mapbox-light", "Mapbox Light"),
                                            ("mapbox-dark", "Mapbox Dark"),
                                            ("mapbox-satellite", "Mapbox Satellite"),
                                            ("mapbox-pirate", "Mapbox Pirate Theme"),
                                        ],
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "height",
                                    wagtail.blocks.IntegerBlock(
                                        label="Výška v px",
                                        max_value=1000,
                                        min_value=100,
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "figure",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "img",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek", required=True
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.TextBlock(
                                        label="Popisek", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "youtube",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "poster_image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        help_text="Není třeba vyplňovat, náhled bude dohledán automaticky.",
                                        label="Náhled videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_url",
                                    wagtail.blocks.URLBlock(
                                        help_text="Odkaz na YouTube video bude automaticky zkonvertován na ID videa a NEBUDE uložen.",
                                        label="Odkaz na video",
                                        required=False,
                                    ),
                                ),
                                (
                                    "video_id",
                                    wagtail.blocks.CharBlock(
                                        help_text="Není třeba vyplňovat, bude automaticky načteno z odkazu.",
                                        label="ID videa (automatické pole)",
                                        required=False,
                                    ),
                                ),
                            ],
                            label="YouTube video",
                        ),
                    ),
                    (
                        "address",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "map_link",
                                    wagtail.blocks.URLBlock(
                                        label="Odkaz na detail mapy", required=False
                                    ),
                                ),
                                (
                                    "address",
                                    wagtail.blocks.TextBlock(
                                        label="Adresa", required=True
                                    ),
                                ),
                                (
                                    "address_info",
                                    wagtail.blocks.TextBlock(
                                        label="Info k adrese", required=False
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "contact",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "contact_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "position",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název pozice",
                                                        required=False,
                                                    ),
                                                ),
                                                (
                                                    "person",
                                                    wagtail.blocks.PageChooserBlock(
                                                        label="Osoba",
                                                        page_type=[
                                                            "district.DistrictPersonPage"
                                                        ],
                                                    ),
                                                ),
                                            ]
                                        )
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "badge",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                        required=True,
                                    ),
                                ),
                                (
                                    "wrap_in_card",
                                    wagtail.blocks.BooleanBlock(
                                        default=False,
                                        label="Zabalit do karty",
                                        required=False,
                                    ),
                                ),
                                (
                                    "caption",
                                    wagtail.blocks.CharBlock(
                                        help_text="Vlastní popisek na vizitce. Pokud není uvedeno, použije se výchozí profese osoby.",
                                        label="Popisek",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah bočního panelu",
            ),
        ),
    ]
